@import "../../variables.scss";

@mixin upload-container {
  height: 130px;
  width: 100%;
  margin: 20px auto;
  border: 2px dashed $bg-primary;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

@mixin upload-container-hover {
  cursor: pointer;
  background-color: $bg-primary-50 !important;
  opacity: 0.8;
}

@mixin upload-preview {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
  box-shadow: 0 0 1px rgba(45, 42, 40, 0.5);
  // padding: 1rem;
}

@mixin image-fit {
  padding: 10px;
  height: auto;
  text-align: center;
}

@mixin fa-trash {
  position: absolute;
  color: red;
  font-size: 20px;
  margin-left: -16px;
  cursor: pointer;
}

@mixin img {
  height: auto;
  width: auto;
  max-width: 200px;
  max-height: 200px;
}
